#
# spec file for package perl-Net-Jabber (Version 1.0022)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Digest-SHA1 perl-XML-Stream
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Digest-SHA1 perl-XML-Stream ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Net-Jabber
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Requires:     perl-Digest-SHA1 perl-XML-Stream
Autoreqprov:  on
Summary:      Jabber Perl Library
Version:      1.0022
Release:      31
Source:       Net-Jabber-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Net::Jabber is a convenient tool to use for any perl script
that would like to utilize the Jabber Instant Messaging
protocol. While not a client in and of itself, it provides
all of the necessary back-end functions to make a CGI client
or command-line perl client feasible and easy to use.
Net::Jabber is a wrapper around the rest of the official
Net::Jabber::xxxxxx packages.

Authors:
--------
    Ryan Eatmon <reatmon@ti.com>

SuSE series: perl

%prep
%setup -n Net-Jabber-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Net-Jabber
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Net/Jabber
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man3/*
%doc README MANIFEST CHANGES LICENSE.LGPL examples*
%{perl_sitearch}/../Net/Jabber.pm
%{perl_sitearch}/../Net/Jabber
%{perl_sitearch}/auto/Net/Jabber
/var/adm/perl-modules/perl-Net-Jabber

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Net-Jabber
* Wed Aug 15 2001 - rvasice@suse.cz
- initial package release (version 1.0022)
